net.snowflake.client.loader.test

## Class LoaderIT

- java.lang.Object
- - net.snowflake.client.loader.test.LoaderIT

    public class LoaderIT
    extends Object

Loader IT

### Field Summary

Fields
`static String` `TARGET_TABLE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`LoaderIT()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `setUp()`
`static void` `setUpClass()`
`void` `tearDown()`
`static void` `tearDownClass()`
`void` `testExecuteBeforeAfterSQLError()`
`void` `testInjectBadStagedFileInsert()`
`void` `testLoaderDelete()`
`void` `testLoaderInsert()`
`void` `testLoaderModify()`
`void` `testLoaderModifyWithOneMatchOneNot()`
`void` `testLoaderMultipleBatch()`
`void` `testLoaderUpsert()`
`void` `testLoaderUpsertWithError()`
`void` `testLoaderUpsertWithErrorAndRollback()`
`void` `testLoadTimestamp()`
`void` `testSpacesInColumnTable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TARGET_TABLE_NAME

    public static final String TARGET_TABLE_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### LoaderIT

    public LoaderIT()

### Method Detail

#### setUpClass

    public static void setUpClass()
                           throws Throwable

Throws:
  `Throwable`

#### tearDownClass

    public static void tearDownClass()
                              throws SQLException

Throws:
  `SQLException`

#### setUp

    public void setUp()

#### tearDown

    public void tearDown()

#### testInjectBadStagedFileInsert

    public void testInjectBadStagedFileInsert()
                                       throws Exception

Throws:
  `Exception`

#### testExecuteBeforeAfterSQLError

    public void testExecuteBeforeAfterSQLError()
                                        throws Exception

Throws:
  `Exception`

#### testLoaderInsert

    public void testLoaderInsert()
                          throws Exception

Throws:
  `Exception`

#### testLoaderMultipleBatch

    public void testLoaderMultipleBatch()
                                 throws Exception

Throws:
  `Exception`

#### testLoaderDelete

    public void testLoaderDelete()
                          throws Exception

Throws:
  `Exception`

#### testLoaderModify

    public void testLoaderModify()
                          throws Exception

Throws:
  `Exception`

#### testLoaderModifyWithOneMatchOneNot

    public void testLoaderModifyWithOneMatchOneNot()
                                            throws Exception

Throws:
  `Exception`

#### testLoaderUpsert

    public void testLoaderUpsert()
                          throws Exception

Throws:
  `Exception`

#### testLoaderUpsertWithError

    public void testLoaderUpsertWithError()
                                   throws Exception

Throws:
  `Exception`

#### testLoaderUpsertWithErrorAndRollback

    public void testLoaderUpsertWithErrorAndRollback()
                                              throws Exception

Throws:
  `Exception`

#### testLoadTimestamp

    public void testLoadTimestamp()
                           throws Exception

Throws:
  `Exception`

#### testSpacesInColumnTable

    public void testSpacesInColumnTable()
                                 throws Exception

Throws:
  `Exception`